Skip to main content
POST
Write to a command’s input

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required

Sandbox id (sbx_...).

Pattern: ^sbx_[A-Za-z0-9]{1,64}$
Example:

"sbx_j572abc123def456"

command_id
string
required

Sandbox command id (cmd_...).

Pattern: ^cmd_[A-Za-z0-9]{1,64}$
Example:

"cmd_j572abc123def456"

Body

application/json
data
string
required

Text to write.

Maximum string length: 1048576
close
boolean
default:false

Close standard input afterwards.

Response